### Name: ztransform
### Title: Transformation to standard Normal
### Aliases: ztransform
### Keywords: utilities

### ** Examples

        # uniformly distributed variable
        x <- round(runif(200)*100)
        # get 7 missing values
        x[round(runif(7,min=1,max=100))] <- NA
        # Z-transform
        y0 <- ztransform(x)
        # Rank-transform to normality
        y1 <- rntransform(x)
        # test normality of the original and transformed var
        shapiro.test(x)
        shapiro.test(y0)
        shapiro.test(y1)
        # plot histogram
        par(mfcol=c(3,1))
        hist(x)
        hist(y0)
        hist(y1)



